#!/bin/sh
#
# svnserve.sh for rc.d usage (c) 2005 Thomas E. Spanjaard.
# $MidnightBSD: mports/devel/subversion/files/svnserve.in,v 1.1 2007/08/17 01:10:41 laffer1 Exp $

# PROVIDE: svnserve
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: shutdown
#
# Add the following line to /etc/rc.conf to enable SVNServe:
#
#  svnserve_enable="YES"
#  # optional
#  svnserve_flags="-d --listen-port=3690"
#  svnserve_data="/usr/local/repositories"
#  svnserve_user="svn"
#  svnserve_group="svn"

. "/etc/rc.subr"

# Set some defaults
svnserve_enable=${svnserve_enable:-"NO"}
svnserve_flags=${svnserve_flags:-"-d --listen-port=3690"}
svnserve_data=${svnserve_data:-"/usr/local/repositories"}
svnserve_user=${svnserve_user:-"svn"}
svnserve_group=${svnserve_group:-"svn"}

name=svnserve
rcvar=`set_rcvar`
load_rc_config $name
command=/usr/local/bin/svnserve
command_args="-r ${svnserve_data}"

run_rc_command "$1"
